# Expedite an order — flag rush + float to the top of its machine queue (/docs/api-reference/production-orders/ProductionOrdersController_expedite)

`POST /api/factories/{factoryId}/production-orders/{id}/expedite`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string |  |
| `id` | path | yes | string | Production Order ID |

## Responses

### 200: Order expedited

### 404: Production order not found